Package org.eclipse.jdt.core.util

# Interface ILocalVariableTypeTableAttribute

All Superinterfaces:
  `IClassFileAttribute`

public interface ILocalVariableTypeTableAttribute extends IClassFileAttribute
Description of a local variable type attribute as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`ILocalVariableTypeTableEntry[]`
`getLocalVariableTypeTable()`
Answer back the local variable type table of this entry as specified in the JVM specifications.
`int`
`getLocalVariableTypeTableLength()`
Answer back the local variable type table length of this entry as specified in the JVM specifications.

### Methods inherited from interface org.eclipse.jdt.core.util.IClassFileAttribute

`getAttributeLength, getAttributeName, getAttributeNameIndex`

## Method Details

### getLocalVariableTypeTableLength

int getLocalVariableTypeTableLength()
Answer back the local variable type table length of this entry as specified in the JVM specifications.

Returns:
  the local variable type table length of this entry as specified in the JVM specifications

### getLocalVariableTypeTable

ILocalVariableTypeTableEntry[] getLocalVariableTypeTable()
Answer back the local variable type table of this entry as specified in the JVM specifications. Answer an empty array if none.

Returns:
  the local variable type table of this entry as specified in the JVM specifications. Answer an empty array if none